Bug 1535779 - sos report does not work as expected in a CNS deployment
Summary: sos report does not work as expected in a CNS deployment
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: CNS-deployment
Version: cns-3.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Michael Adam
QA Contact: Prasanth
URL:
Whiteboard:
Depends On:
Blocks: 1707226
TreeView+ depends on / blocked
 
Reported: 2018-01-18 04:59 UTC by Raghavendra Talur
Modified: 2019-05-21 20:00 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-21 20:00:47 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Raghavendra Talur 2018-01-18 04:59:09 UTC
Description of problem:
In a CNS environment, host node does not have gluster installed and sosreport is generated from host. This causes many sos_commands to be omitted.

If the sos report is obtained from pod then it does not give completed information of the host node.


We need to analyze what is missing. The fix might be a guide to obtain sosreports from both pod and host node OR it might need some enhancements in sosreport tool.

Comment 2 Yaniv Kaul 2019-03-10 09:04:53 UTC
Severity?
Next step?

Comment 3 Raghavendra Talur 2019-03-14 05:02:22 UTC
Severity is low now as the sosreports we have obtained in recent cases have provided required data.

Next Steps:
1. verify if something is missing from sosreports even now
2. Make sure the correct method to run sosreport tool is documented.

Keeping the needinfo on myself till I answer the two questions above.

Comment 4 Yaniv Kaul 2019-04-14 14:15:18 UTC
(In reply to Raghavendra Talur from comment #3)
> Severity is low now as the sosreports we have obtained in recent cases have
> provided required data.
> 
> Next Steps:
> 1. verify if something is missing from sosreports even now
> 2. Make sure the correct method to run sosreport tool is documented.
> 
> Keeping the needinfo on myself till I answer the two questions above.

Please update (1 month later, we really need some answers)?


Note You need to log in before you can comment on or make changes to this bug.